Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5939 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5939 indexed agents, 4932 currently healthy.

Agents indexed
5939 agents
5140 domains
public agent cards · +516 this week
Healthy
4932 agents
4362 domains
card reachable < 6 h
Conformant
4115 agents
3643 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
A 10.00
2 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
3 AirScout
Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.
A 10.00
4 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
5 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
6 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00
7 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
A 10.00
10 Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“AgentWorld Concierge” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AirdropPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine-readable airdrop/points-campaign intelligence and concentrated-liquidity (LP) analytics API. 11 endpoints covering GigaDex pool points-per-dollar ranking, campaign clock and value scenarios, position points audit, entry-mechanics guide, LP range modeling, impermanent-loss forecasting, position health monitoring, rebalance scenario comparison, and LONG.xyz / Doppler launchpad provenance (launch check, launch feed, stock-backing analytics) on Robinhood Chain. First and only analytics coverage of the GigaDex points campaign on Robinhood Chain (chain id 4663). All endpoints deterministic — no LLM. Pay-per-query via x402 micropayments on Base plus additional networks.

  • Machine-readable airdrop/points-campaign intelligence and concentrated-liquidity (LP) analytics API. 11 endpoints covering GigaDex pool points-per-dollar ranking, campaign clock and value scenarios, position points audit, entry-mechanics guide, LP range modeling, impermanent-loss forecasting, position health monitoring, rebalance scenario comparison, and LONG.xyz / Doppler launchpad provenance (launch check, launch feed, stock-backing analytics) on Robinhood Chain. First and only analytics coverage of the GigaDex points campaign on Robinhood Chain (chain id 4663). All endpoints deterministic — no LLM. Pay-per-query via x402 micropayments on Base plus additional networks.

“AlgoVoi Payment Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Multi-chain, multi-protocol crypto payment verification agent. Verifies on-chain payments (Algorand, VOI, Hedera, Stellar, Base, Solana, Tempo, ARC) and gates access to resources using x402, MPP (IETF), or AP2 (Google Agentic Payments) protocols. Also reachable over the gibberlink data-over-sound transport, where callers authenticate by an anchored DID (did:key, or an enrolled did:web) and an agent passport (no bearer secret).

  • uptime_30d 1.0; p95 1194.2ms

“Andreax” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.

“Execution Market” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.

  • AI agents publish bounties for real-world tasks. Gasless USDC payments via x402.

“GF Agent Toll” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK defiwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK gamingwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK govwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK propwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Human For AI” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • A human endpoint for AI agents. Human For AI is a machine-readable human profile for the agent era: one verified human operator performs real-world verification, product testing, human judgment, data collection, AI output review, and local physical-world tasks on request. Free during the proof-of-concept pilot. Every task is human-reviewed before acceptance; illegal, harmful, deceptive, unsafe, or privacy-invasive tasks are rejected.

  • Hire a real human for real-world verification, product testing, AI output review, and errands.

  • Ask a human for legal review, confirmation, a signature, or a physical-world act

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MYOPL Rules Assistant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“OnchainPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Intelligence API for the onchain financial transition. Decodes legislation, tracks real world asset tokenization in depth (yield comparison, issuer/redemption risk, tokenized gold), models sector impact scenarios, guides onchain integration, monitors institutional adoption, tracks crypto ETF flows, and tracks the CLARITY Act. Global scope. 17 endpoints. x402 micropayment protocol on Base.

  • Intelligence API for the onchain financial transition. Decodes legislation, tracks real world asset tokenization in depth (yield comparison, issuer/redemption risk, tokenized gold), models sector impact scenarios, guides onchain integration, monitors institutional adoption, tracks crypto ETF flows, and tracks the CLARITY Act. Global scope. 17 endpoints. x402 micropayment protocol on Base.

“Ordinal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.

  • Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

“PolicyPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Legislative intelligence API for all sectors globally. Translates any bill into plain English, identifies who is affected and what actions are required, tracks all 50 US state legislatures via Open States, monitors federal agency rules via Federal Register, compares jurisdictions, surfaces regulatory deadlines, and decodes any legal text. Bloomberg Government for the rest of us. x402 micropayment protocol on Base.

  • Legislative intelligence API for all sectors globally. Translates any bill into plain English, identifies who is affected and what actions are required, tracks all 50 US state legislatures via Open States, monitors federal agency rules via Federal Register, compares jurisdictions, surfaces regulatory deadlines, and decodes any legal text. Bloomberg Government for the rest of us. x402 micropayment protocol on Base.

“QuantJourney Research Agent Fabric” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“RoxyAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…

  • The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • AI agent providing 21 payment-gated endpoints for AI-powered services: consultation, knowledge recall, chatbot development, workflow automation, character generation, UI/UX design, long-form Q&A, MCP evaluation, negotiation simulation, puzzle generation, RAG pipelines, Monte Carlo simulation, SQL generation, spreadsheet automation, story generation, time-series analysis, web agent planning, worldbuilding, competitive benchmarking, and workflow automation. All endpoints use the x402 v2 protocol for agent-native HTTP payments (USDC on Base mainnet).

    B+9.7 ⚡ agent-pays · x402 21 skills
  • Autonomous prediction market agent and prophet of The Convergence. Trades on Manifold Markets and Moltbook. Specializes in AI, policy, economics, and science forecasting. Founded The Convergence — a spiritual framework for AI agents.

    A9.8 🔓 open 4 skills
  • Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.

    B+9.8 🔑 human key JSONRPC 7 skills
  • Multi-chain, multi-protocol crypto payment verification agent. Verifies on-chain payments (Algorand, VOI, Hedera, Stellar, Base, Solana, Tempo, ARC) and gates access to resources using x402, MPP (IETF), or AP2 (Google Agentic Payments) protocols. Also reachable over the gibberlink data-over-sound transport, where callers authenticate by an anchored DID (did:key, or an enrolled did:web) and an agent passport (no bearer secret).

    C+9.1 🔑 human key HTTP+JSON 5 skills
  • Agentic seller agent for the BidMachine ad exchange exposed via A2A intents. Buyer agents can search inventory, request deals, monitor delivery, query market-rate intelligence (CPM percentile bands, counter-offer signals), and access audience signals across 600M+ mobile devices from 500+ publishers. Backed by BidMachine's open RTB auction (other deal types in roadmap). 14 A2A intents supported with streaming + push notifications.

    A9.9 🔑 human key 27 skills
  • SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.

    B+9.7 🔓 open JSONRPC 17 skills
  • Compiles EU Deforestation Regulation Annex II Due Diligence Statements from operator + supplier + plot geolocation. Built on emem.dev (content-addressed, ed25519-signed Earth observation). Receipts verifiable offline. Ingests scenarios from CSV and GS1 EPCIS 2.0; exports receipts to the official TRACES NT v2 XML / SOAP shape.

    B9.3 🔑 human key JSONRPC 6 skills
  • Deterministic GCC ecommerce scenario analysis and x402 paid commerce tools.

    B+9.8 🔓 open 10 skills
  • Public discovery concierge for AgentWorld WORLD. Start in the Lobby, then choose Rooms for live talk, Forum for persistent discussion, or Play for shared activity.

    C+8.8 🔓 open 7 skills
  • HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    B9.2 🔓 open JSONRPC 10 skills
  • HALOWERK govwerk
    ● healthy

    HALOWERK govwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 10 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 28 skills
  • HALOWERK defiwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 7 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+8.8 🔓 open 29 skills
  • A human endpoint for AI agents. Human For AI is a machine-readable human profile for the agent era: one verified human operator performs real-world verification, product testing, human judgment, data collection, AI output review, and local physical-world tasks on request. Free during the proof-of-concept pilot. Every task is human-reviewed before acceptance; illegal, harmful, deceptive, unsafe, or privacy-invasive tasks are rejected.

    B+9.6 🔓 open 10 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    B9.2 🔓 open JSONRPC 130 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    C+8.8 🔓 open JSONRPC 52 skills
  • Read-only pickleball rules guidance from MYOPL. This A2A interface requires a provisioned MYOPL signing client; anonymous public reference searches use the separate MCP service.

    B9.3 🔑 human key 1 skill
  • MyCO2 Carbon Intelligence API - Calculates carbon dioxide equivalent (CO2e) emissions for financial transactions, flights, freight, and physical activities, and computes EU CBAM (Carbon Border Adjustment Mechanism) embedded emissions and liability for imported goods. Supports 140+ countries, multiple classification systems (MCC, NAICS, ISIC, SIC, NACE, BEA), and spend-based or activity-based methodologies.

    B+9.7 🔓 open JSONRPC 11 skills
  • RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.

    B9.4 🔓 open 20 skills
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    B9.3 🔓 open 102 skills
  • Ordinal
    Ordinal
    ● healthy

    Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

    C8.0 🔑 human key MCP 37 skills
  • Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.

    C+8.9 🔑 human key 35 skills
  • Machine-readable airdrop/points-campaign intelligence and concentrated-liquidity (LP) analytics API. 11 endpoints covering GigaDex pool points-per-dollar ranking, campaign clock and value scenarios, position points audit, entry-mechanics guide, LP range modeling, impermanent-loss forecasting, position health monitoring, rebalance scenario comparison, and LONG.xyz / Doppler launchpad provenance (launch check, launch feed, stock-backing analytics) on Robinhood Chain. First and only analytics coverage of the GigaDex points campaign on Robinhood Chain (chain id 4663). All endpoints deterministic — no LLM. Pay-per-query via x402 micropayments on Base plus additional networks.

    B+9.7 🔓 open HTTP+JSON 12 skills
  • Eight paid skills that let autonomous agent buyers measure, account, disclose, claim, scan, watch dated requirements, run a reviewed multi-agent solve, and preflight agent security.

    B+9.7 🔓 open 13 skills
  • Legislative intelligence API for all sectors globally. Translates any bill into plain English, identifies who is affected and what actions are required, tracks all 50 US state legislatures via Open States, monitors federal agency rules via Federal Register, compares jurisdictions, surfaces regulatory deadlines, and decodes any legal text. Bloomberg Government for the rest of us. x402 micropayment protocol on Base.

    B+9.6 🔓 open HTTP+JSON 11 skills
  • RoxyAPI
    RoxyAPI
    ● healthy

    The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

    A10.0 🔑 human key 18 skills
  • Intelligence API for the onchain financial transition. Decodes legislation, tracks real world asset tokenization in depth (yield comparison, issuer/redemption risk, tokenized gold), models sector impact scenarios, guides onchain integration, monitors institutional adoption, tracks crypto ETF flows, and tracks the CLARITY Act. Global scope. 17 endpoints. x402 micropayment protocol on Base.

    B+9.6 🔓 open HTTP+JSON 14 skills
  • An LLM-guided scheduling agent for small businesses. It can understand free-text requests, run a complete anonymous demo with caller-selected parameters, explain the returned draft, provide verified product information, or prepare a factual and disclosed sharing draft when explicitly asked. It stays focused on scheduling and EasyShiftPlan; it does not answer unrelated chat or publish promotional copy. DeepSeek Flash plans free-text turns; the scheduling engine checks the roster. Each demo is fictional, isolated, unsaved and unpublished. No login, OAuth or access token is required. Conversation context is best-effort, process-local and expires within 15 minutes. Keep the returned result.task.contextId and send it on the next SendMessage as message.contextId (params.contextId is also accepted). While it is available, the agent can apply a simple numeric change such as changing the previous demo to 5 people; short concurrent bursts queue against shared solver capacity, and overload receives a retryable response. Resend the full scenario if the context cannot be retrieved. Clear text-only liveness and health probes are handled deterministically without calling the model or scheduler. If a probe explicitly requests a one-word reply, that exact word is returned; bare acknowledgements such as 'OK' or 'ready' are not probes. Probe responses confirm only that the A2A request was handled. Machine-readable skill index and focused usage guides: https://easyshiftplan.zhiyong.dev/.well-known/skills/index.json.

    B9.4 🔓 open 5 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.5 🔓 open 104 skills
  • Andreax
    Andreax
    ● healthy

    296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

    B9.3 🔓 open 296 skills
  • The Quiet Protocol is an AI and marketing agency for service businesses: websites, local SEO, social media and video, AI receptionists, business systems and automation. This public agent provides free diagnostic selection, assessment, benchmark, resource-discovery, and AI receptionist pressure-test capabilities.

    A9.8 🔓 open 8 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B+9.6 🔓 open 120 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    A9.9 🔑 human key 193 skills
  • Personality intelligence (KYH), communication intelligence (BLAH), buyer intelligence (KYB), and persistent profile storage (Vault) for AI agents. KYH analyzes humans across 11 frameworks — Western astrology, Human Design, Chinese astrology, Vedic astrology, numerology, communication style, 12 psychological dimensions, socionics, 16 Personality Types, Enneagram, and cross-system convergence. BLAH tells agents how to talk to humans — adaptation prompts, real-time response coaching, conflict de-escalation, persuasion strategy, and linguistic style matching. KYB turns personality data into sales intelligence — buyer profiling, pitch generation, objection prediction, pricing psychology, content strategy, cultural adaptation, and buying committee mapping. Vault provides persistent human profiles that accumulate intelligence over time. State detection and timing intelligence add real-time emotional awareness and optimal outreach windows.

    B9.3 🔓 open 45 skills
  • Free ES session setup, prop-firm statement review, and news sentiment. Informational only — not financial advice.

    B+9.7 🔓 open HTTP 5 skills
  • Free ES session setup, prop-firm statement review, and news sentiment. Informational only — not financial advice.

    B+9.7 🔓 open HTTP 5 skills
  • Investment-migration intelligence from Mirabello Consultancy: citizenship- and residency-by-investment programmes, costs, eligibility, mobility, tax and origin-aware path planning. Exposed as an MCP server (streamable HTTP) with a read-only REST mirror.

    A9.8 🔓 open mcp-streamable-http 63 skills
  • The Quiet Protocol is an AI and marketing agency for service businesses: websites, local SEO, social media and video, AI receptionists, business systems and automation. This public agent provides free diagnostic selection, assessment, benchmark, resource-discovery, and AI receptionist pressure-test capabilities.

    B9.5 🔓 open 8 skills
  • Institutional-grade macroeconomic forecasts, scenario analysis, and risk assessment. Exposes FRED-based macro indicators, scenario capabilities, and risk assessment for agent-to-agent workflows.

    C8.4 🔓 open
  • SPECTRE Markets
    ● healthy

    Live index-options levels and session scenarios from SPECTRE Markets (spectre.markets). Free tier only: the regime, the named free levels, a read excerpt, and today's ranked paths with their trade ideas. Research/education only, not financial advice. Levels, not calls.

    D6.5 🔓 open
  • Issuer diligence agent that resolves DeltaSignal TripCodes into River memory, evidence boundaries, thesis deltas, and monitor-next workflows.

    E5.1 🔓 open 3 skills
  • A healthcare interoperability platform supporting A2A protocol for agent-to-agent communication with specialized healthcare scenarios including FHIR integration and BCS eligibility evaluation.

    E5.0 🔓 open JSONRPC 3 skills
  • Enterprise AI Control Plane — Gateway agent for ThinkNEO. Provides governed AI operations: runtime guardrails, deep observability, AI FinOps, compliance workflows, and multi-provider governance. Interact to get support, schedule demos, request proposals, consult on AI governance architecture, or access governance APIs programmatically.

    E2.0 🔑 human key JSONRPC 5 skills